# Create a Trigger

Create a Trigger.

Endpoint: POST /v1/orgs/{org}/projects/{project}/pipelines/{pipeline}/triggers
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `pipeline` (string, required)
    Pipeline identifier

  - `ignoreError` (boolean)

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Request fields (application/json):

  - `description` (string)

  - `enabled` (boolean)

  - `encrypted_webhook_secret_identifier` (string)

  - `identifier` (string, required)

  - `input_set_refs` (array)

  - `inputs` (string)
    input yaml to be used in the pipeline

  - `name` (string, required)

  - `pipeline_branch_name` (string)

  - `source` (object, required)

  - `source.poll_interval` (string)

  - `source.type` (string, required)
    This specifies the type of the trigger
    Enum: "Webhook", "Artifact", "Manifest", "Scheduled", "MultiRegionArtifact"

  - `source.webhook_id` (string)

  - `stages_to_execute` (array)

  - `tags` (object)

## Response 201 fields (application/json):

  - `identifier` (string)
    Trigger identifier


